import React from "react";
import { useLocalContent } from "~/sdks/LocalContent/context";
import { Map } from "../Map";
import { ScoresMenu } from "../ScoresMenu";
export function Content() {
    const { scoresMenu } = useLocalContent();
    return (React.createElement(Map, null,
        React.createElement(ScoresMenu.Root, null,
            React.createElement(ScoresMenu.Header, { title: scoresMenu === null || scoresMenu === void 0 ? void 0 : scoresMenu.title }),
            React.createElement(ScoresMenu.Content, null, scoresMenu.categories.map(([categoryKey, category]) => {
                var _a, _b;
                return (React.createElement(ScoresMenu.Category, { key: `scores-menu-category-${categoryKey}`, categoryKey: categoryKey, backgroundColor: (_a = category.colors) === null || _a === void 0 ? void 0 : _a.background, fillColor: (_b = category.colors) === null || _b === void 0 ? void 0 : _b.fill }, category.scores.map(([scoreKey, _score]) => (React.createElement(ScoresMenu.Score, { key: `scores-menu-score-${categoryKey}-${scoreKey}`, scoreKey: scoreKey })))));
            })))));
}
//# sourceMappingURL=index.js.map