import React from "react";
import { useTranslation } from "react-i18next";
import * as styles from "./styles";
export function Category({ categoryKey, backgroundColor, fillColor, children, }) {
    const { t } = useTranslation("localContent");
    return (React.createElement("div", { className: styles.container, "data-testid": "scores-menu-category", "data-category": categoryKey, "data-background-color": backgroundColor, "data-fill-color": fillColor, style: {
            // Used by the Score component to set the background and fill colors
            "--score-background": backgroundColor,
            "--score-fill": fillColor,
        } },
        React.createElement("h3", { className: styles.title, "data-testid": "scores-menu-category-title" }, t(`categories.${categoryKey}`)),
        children));
}
//# sourceMappingURL=index.js.map