import React from "react";
import { useTranslation } from "react-i18next";
import { CaretRight as CaretRightIcon } from "@phosphor-icons/react";
import { ScoreIcon } from "~/components/ScoreIcon";
import { useRootElement } from "../context";
import * as styles from "./styles";
export function Score({ scoreKey }) {
    const { t } = useTranslation(["common"]);
    const { isExpanded } = useRootElement();
    return (React.createElement("button", { className: styles.container, disabled: !isExpanded, "data-testid": "scores-menu-category-score", "data-score": scoreKey, "aria-label": t(`common:scores.${scoreKey}.title`) },
        React.createElement("span", { className: styles.iconBackground, "data-testid": "score-icon-background" },
            React.createElement(ScoreIcon, { "data-testid": "score-icon", score: scoreKey, className: styles.icon, "aria-hidden": "true" })),
        React.createElement("span", { className: styles.text }, t(`common:scores.${scoreKey}.title`)),
        React.createElement(CaretRightIcon, { className: styles.arrow, weight: "bold", size: 12, "aria-hidden": "true" })));
}
//# sourceMappingURL=index.js.map