import React, { useState, useContext } from "react";
import { useLocalContent } from "~/sdks/LocalContent/context";
import * as styles from "./styles";
const RootElementContext = React.createContext({});
const useRootElement = () => useContext(RootElementContext);
const RootElementContextProvider = ({ children, }) => {
    const { scoresMenu } = useLocalContent();
    const [isExpanded, setIsExpanded] = useState(typeof (scoresMenu === null || scoresMenu === void 0 ? void 0 : scoresMenu.defaultOpen) === "boolean" ? scoresMenu.defaultOpen : true);
    const onToggleIsExpanded = () => {
        setIsExpanded((prev) => !prev);
    };
    const handleOnMenuClick = () => {
        if (isExpanded) {
            return;
        }
        onToggleIsExpanded();
    };
    return (React.createElement(RootElementContext.Provider, { value: {
            isExpanded,
            onToggleIsExpanded,
        } },
        React.createElement("div", { className: styles.container, "data-is-expanded": isExpanded, "data-testid": "scores-menu", onClick: handleOnMenuClick }, children)));
};
export { useRootElement, RootElementContextProvider };
//# sourceMappingURL=context.js.map