import React from "react";
import { type LocalContentProps, type CategoryKey, type ScoreKey, type CategoryOptions } from "./types";
interface Location {
    lat: LocalContentProps["options"]["lat"];
    lng: LocalContentProps["options"]["lng"];
}
export type DefaultContext = {
    isLoading: boolean;
    location: Location;
    map: {
        mapProvider: LocalContentProps["options"]["mapProvider"];
        zoom: LocalContentProps["options"]["zoom"];
        pitch: LocalContentProps["options"]["pitch"];
        bearing: LocalContentProps["options"]["bearing"];
        cooperativeGestures: LocalContentProps["options"]["cooperativeGestures"];
    };
    mapProvider?: LocalContentProps["options"]["mapProvider"];
    scoresMenu: {
        categories: [
            CategoryKey,
            CategoryOptions & {
                scores: [ScoreKey, never][];
            }
        ][];
        defaultOpen?: boolean;
        title?: boolean | string;
    };
};
declare const useLocalContent: () => DefaultContext;
declare const LocalContentProvider: ({ children, }: {
    children: React.JSX.Element;
}) => React.JSX.Element;
export { useLocalContent, LocalContentProvider, type Location };
//# sourceMappingURL=context.d.ts.map